www/ruby-websocket-extensions - The NetBSD Packages Collection

Generic extension manager for WebSocket connections

A minimal framework that supports the implementation of WebSocket
extensions in a way that's decoupled from the main protocol.
This library aims to allow a WebSocket extension to be written and
used with any protocol library, by defining abstract representations
of frames and messages that allow modules to co-operate.

websocket-extensions provides a container for registering extension
plugins, and provides all the functions required to negotiate which
extensions to use during a session via the Sec-WebSocket-Extensions
header.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/ruby26-base

Available binary packages

aarch64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
aarch64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
alpha:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earm:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earm:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earm:ruby24-websocket-extensions-0.1.3.tgz(NetBSD 9.0)
earm:ruby25-websocket-extensions-0.1.3.tgz(NetBSD 9.0)
earm:ruby26-websocket-extensions-0.1.3.tgz(NetBSD 9.0)
earm:ruby27-websocket-extensions-0.1.3.tgz(NetBSD 9.0)
earmv6hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv6hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby24-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby24-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
earmv7hf:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
i386:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
i386:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
m68k:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
m68k:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mips64eb:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mips64eb:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mips64eb:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mips64eb:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mips64eb:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mips64eb:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mipsel:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
mipsel:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
powerpc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
powerpc:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
powerpc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
powerpc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
powerpc:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
powerpc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
powerpc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
powerpc:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
powerpc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
powerpc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
powerpc:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
powerpc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sh3el:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
sparc:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
vax:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
vax:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 8.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby25-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby26-websocket-extensions-0.1.5.tgz(NetBSD 9.0)
x86_64:ruby27-websocket-extensions-0.1.5.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]